> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agentengenehmigung anfordern

> Zeichnet eine Anfrage für eine unabhängige menschliche Überprüfung auf. Führt keine Agentenaktion aus, gewährt keine Berechtigungen oder pausiert oder setzt einen Temporal-Workflow nicht automatisch fort.

Zeichnet eine Anfrage für eine unabhängige menschliche Überprüfung auf. Führt keine Agentenaktion aus, gewährt keine Berechtigungen oder pausiert oder setzt einen Temporal-Workflow nicht automatisch fort.

Die Autorisierungs- und Ausführungsgrenzen finden Sie unter [unabhängige Agentenprüfungen](https://docs.truthlocks.com/de/guides/agent-approvals.md).


## OpenAPI

````yaml de/maip-openapi.yaml POST /v1/approvals
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: Produktion
  - url: https://sandbox-api.truthlocks.com
    description: Sandbox
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/approvals:
    post:
      tags:
        - Agent approvals
      summary: Agentengenehmigung anfordern
      description: >-
        Zeichnet eine Anfrage für eine unabhängige menschliche Überprüfung auf.
        Führt keine Agentenaktion aus, gewährt keine Berechtigungen oder
        pausiert oder setzt einen Temporal-Workflow nicht automatisch fort.
      operationId: maipApprovalsCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - agent_id
                - action
                - resource
                - scope
              properties:
                agent_id:
                  type: string
                  description: >-
                    Ein aktiver, nicht kompromittierter Agent in dieser
                    authentifizierten Arbeitsbereichsumgebung.
                action:
                  type: string
                  description: >-
                    Die beabsichtigte Aktion; 1–200 UTF-8 Bytes. Das Erstellen
                    einer Anfrage führt sie nicht aus.
                resource:
                  type: string
                  description: Spezifische Zielressource; 1–2000 UTF-8 Bytes.
                scope:
                  type: string
                  description: >-
                    Beabsichtigte Berechtigung; 1–200 UTF-8 Bytes. Gewährt
                    keinen Zugriff.
                justification:
                  type: string
                  description: >-
                    Belege und Zweck; höchstens 4000 UTF-8-Bytes. Niemals
                    Geheimnisse einschließen.
                risk_level:
                  type: string
                  enum:
                    - low
                    - medium
                    - high
                    - critical
                  default: medium
                required_approvals:
                  type: integer
                  minimum: 1
                  maximum: 10
                  default: 1
                  description: >-
                    Unterschiedliche autorisierte menschliche Prüfer;
                    Anfragender ausgeschlossen.
                ttl_minutes:
                  type: integer
                  minimum: 1
                  maximum: 10080
                  default: 60
      responses:
        '201':
          description: Aufgezeichnetes Ergebnis
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentApproval'
        '400':
          description: Ungültiger Bezeichner, Anforderungsfelder oder Entscheidungsgrund
        '401':
          description: Authentifizierung erforderlich
        '403':
          description: >-
            Falscher Arbeitsbereichsbereich, fehlende Berechtigung des aktuellen
            Prüfers, Selbstprüfung oder unbefugte Stornierung
        '404':
          description: >-
            Anfragender oder aktiver Agent in dieser Workspace-Umgebung nicht
            vorhanden
        '409':
          description: Bereits entschieden, doppelter Prüfer oder abgelaufene Anfrage
components:
  schemas:
    AgentApproval:
      type: object
      required:
        - id
        - agent_id
        - status
        - requested_by
        - required_approvals
        - current_approvals
        - expires_at
        - decisions
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        agent_id:
          type: string
        action:
          type: string
        resource:
          type: string
        scope:
          type: string
        justification:
          type: string
        requested_by:
          type: string
          description: >-
            Authentifizierter Anforderer: menschliche Benutzer-UUID oder
            api_key:<stored key ID>; niemals ein vom Aufrufer bereitgestellter
            Prüfer.
        decision_reason:
          type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - rejected
            - expired
            - cancelled
        risk_level:
          type: string
          enum:
            - low
            - medium
            - high
            - critical
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        expires_at:
          type: string
          format: date-time
        decided_at:
          type: string
          format: date-time
        decided_by:
          type: string
          description: >-
            Letzter Prüfer oder Anforderer, der die Anfrage storniert; fehlt,
            während sie aussteht.
        required_approvals:
          type: integer
          minimum: 1
          maximum: 10
        current_approvals:
          type: integer
          minimum: 0
          maximum: 10
        decisions:
          type: array
          description: >-
            Unveränderliche Einzelbewertungen. Die Warteschlangenantwort lässt
            dies leer; rufen Sie die Anfrage für ihre vollständige
            Überprüfungshistorie ab.
          items:
            type: object
            properties:
              reviewer_id:
                type: string
                format: uuid
              decision:
                type: string
                enum:
                  - approved
                  - rejected
              reason:
                type: string
              created_at:
                type: string
                format: date-time
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.